<!doctype html>
<html lang="es">

<head>
    <meta charset="utf-8">
    <title>transition-duration</title>
    <link rel="stylesheet" href="../css/ejemplos.css">
    <style>
        body {
            display: flex;
            gap: 2px;
        }

        .flex {
            background-color: lightblue;
            border: 1px solid;

            display: flex;
            justify-content: center;
            align-items: center;

            height: 100px;
            aspect-ratio: 1;
        }

        .flex:hover {
            background-color: yellow;
            font-size: 2em;
            opacity: 0.5;
        }

        .ejemplo1 {
            transition: all 1s;
        }
        .ejemplo2 {
            transition: all 2s;
        }
        .ejemplo3 {
            transition: all 3s;
        }
        .ejemplo4 {
            transition: all 4s;
        }
        
    </style>
</head>

<body>
    <div>
        <h2>1s</h2>
        <div class="flex ejemplo1">1</div>
    </div>
    <div>
        <h2>2s</h2>
        <div class="flex ejemplo2">2</div>
    </div>
    <div>
        <h2>3s</h2>
        <div class="flex ejemplo3">3</div>
    </div>
    <div>
        <h2>4s</h2>
        <div class="flex ejemplo4">4</div>
    </div>
</body>

</html>